/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package databaseinfo

import "query-service/internal/entity"

/*
GetDatabaseInfo gets the database info from the user service through the RPC driver
	clientID: *string, the ID of the client
	databaseName: *string, the name of the database
	Return: (*entity.DatabaseInfo, error), the database info and an error if there is one
*/
func (s *Service) GetDatabaseInfo(clientID *string, databaseName *string) (*entity.DatabaseInfo, error) {
	return s.rpcDriver.GetDatabaseInfo(clientID, databaseName)
}
