/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package mockdatabaseinfo

import "query-service/internal/entity"

/*
Service implements the databaseinfo usecase (mock)
*/
type Service struct {
}

/*
NewService creates a new databaseinfo service (mock)
	Return: *Service, the new service
*/
func NewService() *Service {
	return &Service{}
}

/*
GetDatabaseInfo gets the database info for the clientID and database name provided
	clientID: *string, the ID of the cliend
	databaseName: *string, the name of the database
	Return: (*entity.DatabaseInfo, error), the information of the database and an error if there was one
*/
func (s *Service) GetDatabaseInfo(clientID *string, databaseName *string) (*entity.DatabaseInfo, error) {
	dbInfo := entity.DatabaseInfo{
		URL:                  "test-url",
		Username:             "test-user",
		Password:             "test-password",
		Port:                 1234,
		InternalDatabaseName: "internal-test",
	}
	return &dbInfo, nil
}
